BasicConstraints (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.x509

## Class BasicConstraints

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.x509.BasicConstraints

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class BasicConstraints
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicConstraints(boolean cA)`
    `BasicConstraints(int pathLenConstraint)` create a cA=true object for the given path length constraint.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BasicConstraints` | `fromExtensions(Extensions extensions)`
    `static BasicConstraints` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static BasicConstraints` | `getInstance(java.lang.Object obj)`
    `java.math.BigInteger` | `getPathLenConstraint()`
    `boolean` | `isCA()`
    `ASN1Primitive` | `toASN1Primitive()` Produce an object suitable for an ASN1OutputStream.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicConstraints

          public BasicConstraints(boolean cA)

    - #### BasicConstraints

          public BasicConstraints(int pathLenConstraint)

      create a cA=true object for the given path length constraint.
      Parameters:
        `pathLenConstraint` -

  - ### Method Detail

    - #### getInstance

          public static BasicConstraints getInstance(ASN1TaggedObject obj,
                                     boolean explicit)

    - #### getInstance

          public static BasicConstraints getInstance(java.lang.Object obj)

    - #### fromExtensions

          public static BasicConstraints fromExtensions(Extensions extensions)

    - #### isCA

          public boolean isCA()

    - #### getPathLenConstraint

          public java.math.BigInteger getPathLenConstraint()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Produce an object suitable for an ASN1OutputStream.

           BasicConstraints := SEQUENCE {
              cA                  BOOLEAN DEFAULT FALSE,
              pathLenConstraint   INTEGER (0..MAX) OPTIONAL
           }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`